Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## weblogic.cluster.singleton
Class MigratableServerService

    java.lang.Object
      weblogic.server.AbstractServerService
          weblogic.cluster.singleton.MigratableServerService

All Implemented Interfaces:
  PropertyChangeListener, EventListener, LeaseLostListener, LeaseObtainedListener, weblogic.management.runtime.ServerStates, weblogic.server.ServerService

    public class MigratableServerService

extends weblogic.server.AbstractServerService
implements LeaseLostListener, PropertyChangeListener, LeaseObtainedListener

MigratableServerService registers ServerMigrationCoordinator with the MBean server and creates the ClusterMaster Leasing implementation. Health is proved every `ClusterMBean.getHealthCheckIntervalMillis()` ms (default 10s), and if health could not be proved for `ClusterMBean.getHealthCheckPeriodsUntilFencing()` (default 3) mastership is abdicated.

Field Summary

Fields inherited from interface weblogic.management.runtime.ServerStates
`ACTIVATE_LATER, ADMIN, DISCOVERED, FAILED, FAILED_MIGRATABLE, FAILED_NOT_RESTARTABLE, FAILED_RESTARTING, FORCE_SHUTTING_DOWN, FORCE_SUSPENDING, RESUMING, RUNNING, SERVERSTATES, SHUTDOWN, SHUTDOWN_IN_PROCESS, SHUTDOWN_PENDING, SHUTTING_DOWN, SRVR_ACTIVATE_LATER, SRVR_ADMIN, SRVR_DISCOVERED, SRVR_FAILED, SRVR_FAILED_MIGRATABLE, SRVR_FAILED_NOT_RESTARTABLE, SRVR_FAILED_RESTARTING, SRVR_FORCE_SHUTTING_DOWN, SRVR_FORCE_SUSPENDING, SRVR_RESUMING, SRVR_RUNNING, SRVR_SHUTDOWN, SRVR_SHUTDOWN_IN_PROCESS, SRVR_SHUTDOWN_PENDING, SRVR_SHUTTING_DOWN, SRVR_STANDBY, SRVR_STARTING, SRVR_SUSPENDING, SRVR_UNKNOWN, STANDBY, STARTING, SUSPENDING, UNKNOWN`

Constructor Summary
`MigratableServerService()`

Method Summary
`weblogic.management.configuration.MachineMBean` | `getCurrentMachine()`
`String` | `getLeasingType()`
`void` | `halt()`
`void` | `initialize()`
`boolean` | `isClusterMaster()`
`void` | `onAcquire(String leaseName)`
`void` | `onException(Exception e, String leaseName)`
`void` | `onRelease()`
`void` | `propertyChange(PropertyChangeEvent event)`
`void` | `start()`
`void` | `stop()`
`static MigratableServerService` | `theOne()`

Methods inherited from class weblogic.server.AbstractServerService
`getName, getVersion`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### MigratableServerService

    public MigratableServerService()

Method Detail

### initialize

    public void initialize()
                    throws weblogic.server.ServiceFailureException

  Throws:
    `weblogic.server.ServiceFailureException`

### getLeasingType

    public String getLeasingType()

### theOne

    public static MigratableServerService theOne()

### isClusterMaster

    public boolean isClusterMaster()

### start

    public void start()
               throws weblogic.server.ServiceFailureException

  Specified by:
    `start` in interface `weblogic.server.ServerService`
  Overrides:
    `start` in class `weblogic.server.AbstractServerService`
  Throws:
    `weblogic.server.ServiceFailureException`

### stop

    public void stop()
              throws weblogic.server.ServiceFailureException

  Specified by:
    `stop` in interface `weblogic.server.ServerService`
  Overrides:
    `stop` in class `weblogic.server.AbstractServerService`
  Throws:
    `weblogic.server.ServiceFailureException`

### halt

    public void halt()
              throws weblogic.server.ServiceFailureException

  Specified by:
    `halt` in interface `weblogic.server.ServerService`
  Overrides:
    `halt` in class `weblogic.server.AbstractServerService`
  Throws:
    `weblogic.server.ServiceFailureException`

### propertyChange

    public void propertyChange(PropertyChangeEvent event)

  Specified by:
    `propertyChange` in interface `PropertyChangeListener`

### getCurrentMachine

    public weblogic.management.configuration.MachineMBean getCurrentMachine()

### onRelease

    public void onRelease()

  Specified by:
    `onRelease` in interface `LeaseLostListener`

### onAcquire

    public void onAcquire(String leaseName)

  Specified by:
    `onAcquire` in interface `LeaseObtainedListener`

### onException

    public void onException(Exception e,
                            String leaseName)

  Specified by:
    `onException` in interface `LeaseObtainedListener`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs92 Copyright 2006 BEA Systems Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD